RESTinio

Classes | Namespaces | Typedefs
response_coordinator.hpp File Reference
`#include <string>`
`#include <deque>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/utils/suppress_exceptions.hpp>`
`#include <restinio/exception.hpp>`
`#include <restinio/request_handler.hpp>`
`#include <restinio/buffers.hpp>`
`#include <restinio/optional.hpp>`

Go to the source code of this file.

## Classes
class | restinio::impl::response_context_t
| A context for a single response. More...
class | restinio::impl::response_context_table_t
| Helper storage for responses' contexts. More...
class | restinio::impl::response_coordinator_t
| Coordinator for process of sending responses with respect to http pipeline technique and chunk transfer. More...

## Namespaces
namespace | restinio
namespace | restinio::impl

## Typedefs
using | restinio::impl::write_groups_container_t = std::vector< write_group_t >